Bug 1081154 - [glibc2.27] qemu fails to build
[glibc2.27] qemu fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KVM
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Bruce Rogers
E-mail List
:
Depends on:
Blocks: 1079753
  Show dependency treegraph
 
Reported: 2018-02-15 11:17 UTC by Dominique Leuenberger
Modified: 2018-02-28 12:20 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-15 11:17:30 UTC
openSUSE Factory is in progress of merging GLIBC 2.27 - qemu is amongst the packages failing to build

Build log is available at https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:C:DVD/qemu/standard/x86_64

from the build log:

[   64s] util/memfd.c:40:12: error: static declaration of 'memfd_create' follows non-static declaration
[   64s]  static int memfd_create(const char *name, unsigned int flags)
[   64s]             ^~~~~~~~~~~~
[   64s] In file included from /usr/include/bits/mman-linux.h:115:0,
[   64s]                  from /usr/include/bits/mman.h:45,
[   64s]                  from /usr/include/sys/mman.h:41,
[   64s]                  from /home/abuild/rpmbuild/BUILD/qemu-2.11.0/include/sysemu/os-posix.h:29,
[   64s]                  from /home/abuild/rpmbuild/BUILD/qemu-2.11.0/include/qemu/osdep.h:104,
[   64s]                  from util/memfd.c:28:
[   64s] /usr/include/bits/mman-shared.h:46:5: note: previous declaration of 'memfd_create' was here
[   64s]  int memfd_create (const char *__name, unsigned int __flags) __THROW;
[   64s]      ^~~~~~~~~~~~
[   64s] make: *** [/home/abuild/rpmbuild/BUILD/qemu-2.11.0/rules.mak:
Comment 1 Bruce Rogers 2018-02-15 16:57:45 UTC
qemu upstream's git commit 75e5b70e6b5dcc4f2219992d7cffa462aa406af0 addresses this. I'll include it in my next qemu submission to Factory.
Comment 2 Dominique Leuenberger 2018-02-20 10:14:58 UTC
(In reply to Bruce Rogers from comment #1)
> qemu upstream's git commit 75e5b70e6b5dcc4f2219992d7cffa462aa406af0
> addresses this. I'll include it in my next qemu submission to Factory.

Do you have an ETA for this? I'm down to 3 failures for glibc 2.27
Comment 3 Bruce Rogers 2018-02-20 16:06:09 UTC
I'm hoping to submit this fix (plus others, as usual) to Factory today or tomorrow.
Comment 4 Dominique Leuenberger 2018-02-26 08:38:08 UTC
(In reply to Bruce Rogers from comment #3)
> I'm hoping to submit this fix (plus others, as usual) to Factory today or
> tomorrow.

Fix landed - revalidated in Staging:C; qemu builds successful with glibc 2.27:
https://build.opensuse.org/package/show/openSUSE:Factory:Staging:C:DVD/qemu
Comment 5 Dominique Leuenberger 2018-02-28 12:20:52 UTC
(In reply to Dominique Leuenberger from comment #4)
> Fix landed - revalidated in Staging:C; qemu builds successful with glibc
> 2.27:
> https://build.opensuse.org/package/show/openSUSE:Factory:Staging:C:DVD/qemu

=> FIXED